Debian Bug report logs - #554405
FTBFS with binutils-gold

version graph

Package: src:freeglut; Maintainer for src:freeglut is Anton Gladky <gladk@debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Wed, 4 Nov 2009 15:54:08 UTC

Severity: serious

Tags: fixed-upstream, patch, sid, upstream, wheezy

Found in version freeglut/2.4.0-8

Fixed in version freeglut/2.6.0-1.1

Done: HIGUCHI Daisuke (VDR dai) <dai@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&atid=351032&aid=3407093&group_id=1032

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Wed, 04 Nov 2009 15:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Bradley Smith <bradsmith@debian.org>. (Wed, 04 Nov 2009 15:54:11 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Wed, 04 Nov 2009 10:34:01 +0100
Source: freeglut
Version: 2.4.0-8
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

/bin/bash ../../../libtool --tag=CC   --mode=link x86_64-linux-gnu-gcc -I../../../include  -Wall -g -O2 -Wall -pedantic -Werror -export-dynamic ../../../src/libglut.la  -o CallbackMaker CallbackMaker-CallbackMaker.o  
libtool: link: x86_64-linux-gnu-gcc -I../../../include -Wall -g -O2 -Wall -pedantic -Werror -o .libs/CallbackMaker CallbackMaker-CallbackMaker.o -Wl,--export-dynamic  ../../../src/.libs/libglut.so
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function main:CallbackMaker.c:310: error: undefined reference to 'glClearColor'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function main:CallbackMaker.c:330: error: undefined reference to 'glClearColor'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:33: error: undefined reference to 'glClear'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:35: error: undefined reference to 'glDisable'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:36: error: undefined reference to 'glMatrixMode'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:37: error: undefined reference to 'glPushMatrix'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:38: error: undefined reference to 'glLoadIdentity'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:39: error: undefined reference to 'glOrtho'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:41: error: undefined reference to 'glMatrixMode'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:42: error: undefined reference to 'glPushMatrix'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:43: error: undefined reference to 'glLoadIdentity'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:44: error: undefined reference to 'glColor3ub'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:45: error: undefined reference to 'glRasterPos2i'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:113: error: undefined reference to 'glMatrixMode'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:114: error: undefined reference to 'glPopMatrix'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:115: error: undefined reference to 'glMatrixMode'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:116: error: undefined reference to 'glPopMatrix'
/usr/bin/ld: CallbackMaker-CallbackMaker.o: in function Display:CallbackMaker.c:117: error: undefined reference to 'glEnable'
collect2: ld returned 1 exit status
make[5]: *** [CallbackMaker] Error 1




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Wed, 24 Nov 2010 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Wed, 24 Nov 2010 10:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 554405@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 554405@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Fix FTBFS with ld --no-add-needed
Date: Wed, 24 Nov 2010 11:53:47 +0100
[Message part 1 (text/plain, inline)]
tag 554405 + patch
severity 554405 important
user ubuntu-devel@lists.ubuntu.com
usertags 554405 + natty ubuntu-patch
thanks

patch attached
[freeglut.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Wed, 24 Nov 2010 10:57:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Wed, 24 Nov 2010 10:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Wed, 19 Jan 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Wed, 19 Jan 2011 11:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 554405@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 554405@bugs.debian.org
Subject: Fix FTBFS with ld.gold
Date: Wed, 19 Jan 2011 12:20:55 +0100
here is an update which is needed on top of the previous patch.

see
http://launchpadlibrarian.net/62446062/freeglut_2.6.0-1ubuntu1_2.6.0-1ubuntu2.diff.gz




Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:27:27 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 13 Mar 2011 17:27:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Fri, 30 Sep 2011 10:53:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Fri, 30 Sep 2011 10:53:25 GMT) Full text and rfc822 format available.

Message #28 received at 554405@bugs.debian.org (full text, mbox):

From: Fabio <fabio.ped@libero.it>
To: 554405@bugs.debian.org, control@bugs.debian.org
Date: Fri, 30 Sep 2011 10:40:14 +0200 (CEST)
forwarded 554405 http://sourceforge.net/tracker/?
func=detail&atid=351032&aid=3407093&group_id=1032
tag 554405 upstream fixed-upstream





Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?'. Request was from Fabio <fabio.ped@libero.it> to control@bugs.debian.org. (Fri, 30 Sep 2011 10:53:30 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Fabio <fabio.ped@libero.it> to control@bugs.debian.org. (Fri, 30 Sep 2011 10:53:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Fri, 30 Sep 2011 11:39:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Fri, 30 Sep 2011 11:39:28 GMT) Full text and rfc822 format available.

Message #37 received at 554405@bugs.debian.org (full text, mbox):

From: Fabio <fabio.ped@libero.it>
To: 554405@bugs.debian.org
Date: Fri, 30 Sep 2011 10:31:10 +0200 (CEST)
The patches got merged in upstream freeglut:
http://freeglut.svn.sourceforge.net/viewvc/freeglut?view=revision&revision=939
http://freeglut.svn.sourceforge.net/viewvc/freeglut?view=revision&revision=940




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Mon, 03 Oct 2011 07:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oibaf <fmrummey@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Mon, 03 Oct 2011 07:27:11 GMT) Full text and rfc822 format available.

Message #42 received at 554405@bugs.debian.org (full text, mbox):

From: Oibaf <fmrummey@gmail.com>
To: control@bugs.debian.org, 554405@bugs.debian.org
Subject: Correct remote link
Date: Mon, 3 Oct 2011 09:26:34 +0200
forwarded 554405
http://sourceforge.net/tracker/?func=detail&atid=351032&aid=3407093&group_id=1032




Changed Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&atid=351032&aid=3407093&group_id=1032' from 'http://sourceforge.net/tracker/?' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 13:21:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#554405; Package src:freeglut. (Mon, 09 Jan 2012 08:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to dai@debian.org:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Mon, 09 Jan 2012 08:42:14 GMT) Full text and rfc822 format available.

Message #49 received at 554405@bugs.debian.org (full text, mbox):

From: dai@debian.org
To: 554405@bugs.debian.org
Subject: freeglut: diff for NMU version 2.6.0-1.1
Date: Mon, 9 Jan 2012 17:38:28 +0900
[Message part 1 (text/plain, inline)]
tags 554405 + pending
thanks

Dear maintainer,

I've prepared an NMU for freeglut (versioned as 2.6.0-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.
-- 
Regards,
	dai

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E
[freeglut-2.6.0-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from dai@debian.org to control@bugs.debian.org. (Mon, 09 Jan 2012 08:42:16 GMT) Full text and rfc822 format available.

Reply sent to HIGUCHI Daisuke (VDR dai) <dai@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 09:06:55 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 09:07:00 GMT) Full text and rfc822 format available.

Message #56 received at 554405-close@bugs.debian.org (full text, mbox):

From: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
To: 554405-close@bugs.debian.org
Subject: Bug#554405: fixed in freeglut 2.6.0-1.1
Date: Wed, 11 Jan 2012 09:03:32 +0000
Source: freeglut
Source-Version: 2.6.0-1.1

We believe that the bug you reported is fixed in the latest version of
freeglut, which is due to be installed in the Debian FTP archive:

freeglut3-dbg_2.6.0-1.1_amd64.deb
  to main/f/freeglut/freeglut3-dbg_2.6.0-1.1_amd64.deb
freeglut3-dev_2.6.0-1.1_amd64.deb
  to main/f/freeglut/freeglut3-dev_2.6.0-1.1_amd64.deb
freeglut3_2.6.0-1.1_amd64.deb
  to main/f/freeglut/freeglut3_2.6.0-1.1_amd64.deb
freeglut_2.6.0-1.1.debian.tar.gz
  to main/f/freeglut/freeglut_2.6.0-1.1.debian.tar.gz
freeglut_2.6.0-1.1.dsc
  to main/f/freeglut/freeglut_2.6.0-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554405@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
HIGUCHI Daisuke (VDR dai) <dai@debian.org> (supplier of updated freeglut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Jan 2012 17:23:54 +0900
Source: freeglut
Binary: freeglut3 freeglut3-dev freeglut3-dbg
Architecture: source amd64
Version: 2.6.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Bradley Smith <bradsmith@debian.org>
Changed-By: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Description: 
 freeglut3  - OpenGL Utility Toolkit
 freeglut3-dbg - OpenGL Utility Toolkit debugging information
 freeglut3-dev - OpenGL Utility Toolkit development files
Closes: 554405
Changes: 
 freeglut (2.6.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * FTBFS with binutils-gold (Closes: #554405)
     - debian/patches/04_ld_no_add_needed.diff
     - debian/patches/05_gold.diff
       thanks to Matthias Klose <doko@ubuntu.com>.
Checksums-Sha1: 
 08a1d63862dfd5125dc9ed89f5eaf4daf526ca80 2153 freeglut_2.6.0-1.1.dsc
 d4165603d5dde4787d26e6745546e2cf5c404cf3 7706 freeglut_2.6.0-1.1.debian.tar.gz
 eacf182de1be66f764c96dd5ea026edd0824e36e 140582 freeglut3_2.6.0-1.1_amd64.deb
 6e750058c2d3df0deb516b6baee78f2c34cc7c26 216324 freeglut3-dev_2.6.0-1.1_amd64.deb
 8354d59869b576f1c0e9e5870355334e77c57172 198606 freeglut3-dbg_2.6.0-1.1_amd64.deb
Checksums-Sha256: 
 b0bd0bd1e9efa49a767242177c660d97552a306b1f3b9551c1c2bc136386a6f1 2153 freeglut_2.6.0-1.1.dsc
 f9d3079b13abca86d0e64e5eb9cb0e81b0604cbe523501fdc19494949d8e9a06 7706 freeglut_2.6.0-1.1.debian.tar.gz
 2651b549cc5e72b28a035b46950239c8796d2715d109111de7d35e04e12ababc 140582 freeglut3_2.6.0-1.1_amd64.deb
 d6ba38c8791d70682b3c75c1b693b8334df3ed34256fcdb12f2245bfd4396676 216324 freeglut3-dev_2.6.0-1.1_amd64.deb
 3a95e4ef69785c0f82d51834a828d6f5a9f0d6d7b12b2b43569176e10779c75b 198606 freeglut3-dbg_2.6.0-1.1_amd64.deb
Files: 
 57b1a9db78cf94e090bc5ea554e629e4 2153 graphics optional freeglut_2.6.0-1.1.dsc
 9ac87ad7987ee5e26e722978608a08a6 7706 graphics optional freeglut_2.6.0-1.1.debian.tar.gz
 a61e2732967b313aba7000bd5069a700 140582 libs optional freeglut3_2.6.0-1.1_amd64.deb
 eb0c313da1ca7cfedbe8584c72575c0a 216324 libdevel optional freeglut3-dev_2.6.0-1.1_amd64.deb
 e33276a7716ae2231736adffac0ea4ea 198606 debug extra freeglut3-dbg_2.6.0-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPCqdmAAoJEHg5YZ3UOWaOVfMQAJ8LEGkYof3tbC1qBx1oHx94
DpedWMm+dfu81tfDquiDs9CCBW/FDDDKyb0bUwLtmU662PJh4tTVaq6IU+yzTU18
BLe7/UaM5AZwXq5pT3JrdSzTNtpdCkVWD4vH4b/AHGAb6w5d9jrJPQmV4ZLT+4lE
fT6vQg6wncBP+qTMQ0MnqrNKNpy3Km3fK1QOO/XF3yo4IhZ8vSHxs0Wrsn1xg/NL
4ZWUdmQVV3gM9tTd/pzUea4h5iWWwom//gkyYb0kfdVhYyGAKj0NAxymG30TdUlb
/jfNgt15kwgeYgJQnKcobOsC0Qk13U0gfs/FOw1ofPLQxyrH4wtGJi7zRfgupNuJ
n+WgO2FrjUj0s4Gc13OMRO9VRqS0LpYT3rDb5NZ6hlAz/oe1nllgvd9K2r+ZMJPU
Q8AGo5joSJrYv/sl9AdmQ2FQAKk8j6LOVc6rLWl3VLst1iMU5af+wTwmULkX0Fq1
XLifnzQ58I0s/XRPLbeajABPFDTjCM3D/Ej5fcwFEOocia1rP41LAak4uZsEj//V
AZjvkYBkdtRWoGVgMcLVdF9b7pTdnaqOMJC2n1kt4a8ju5XWKwKTGDzSfnme9+0j
1XIMa9ZcZoFwlpyQHFpQ7SMu489cwtdZs5GNEf0/Sf+oCVDDQAXUmN0F/EFW247/
fgs6OgTT6obUTABQFtkm
=vpy6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:39:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:07:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.